<div class="container">
  <div class="row d-flex justify-content-center">
    <div class="col-12 col-md-10 col-lg-8">
      <p *ngIf="alert.active">
        <ngb-alert [type]="alert.type" (closed)="closeAlert()">{{ alert.message }}</ngb-alert>
      </p>
      <div class="card my-5">
        <div class="card-header">
          <h1 class="text-center">{{ 'password.resetPassword' | translate }}</h1>
        </div>
        <form action="" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="px-5 py-2">
            <div class="row">
              <div class="col-12">
                <div class="form-floating">
                  <input type="password" name="password" id="floatingPassword" placeholder="{{ 'password.password' | translate }}" class="form-control" ngModel required [disabled]="disabled">
                  <label for="floatingPassword">
                    <span>{{ 'password.password' | translate }}</span>
                  </label>
                </div>
              </div>
            </div>
          </div>
          <div class="px-5 py-2">
            <div class="row">
              <div class="col-12">
                <div class="form-floating">
                  <input type="password" name="repeatPassword" id="floatingPassRe" placeholder="{{ 'password.repeatPassword' | translate }}" class="form-control" ngModel required [disabled]="disabled">
                  <label for="floatingPassRe">
                    <span>{{ 'password.repeatPassword' | translate }}</span>
                  </label>
                </div>
              </div>
            </div>
          </div>
          <div class="px-5 py-2">
            <div class="row">
              <div class="col-12">
                <button type="submit" [disabled]="form.invalid" class="btn btn-primary float-end">{{ 'password.resetPassword' | translate }}</button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
